import { Controller, Get, Inject, Post } from '@midwayjs/decorator';
import { UtilService } from '../service/util.service';
@Controller('/')
export class HomeController {
  @Get('/')
  async home(): Promise<string> {
    return 'Hello Midwayjs!';
  }

  @Inject()
  utilService: UtilService;

  @Post('/util')
  async util() {
    await this.utilService.util();
    return '***t';
  }
}
