import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'role' },
})
export class Role extends BaseModel {
  @prop({ required: false, index: true, zh: '角色名称' })
  name: string;
  @prop({ required: false, index: true, zh: '角色编码' })
  code: string;
  @prop({ required: false, index: false, zh: '简介' })
  brief: string;
  @prop({ required: false, index: false, zh: '菜单' })
  menu: Array<any>;
  @prop({ required: false, index: true, zh: '状态', remark: '字典:is_use(暂定)', default: 'Y' })
  status: string;
  @prop({ required: false, index: true, zh: '账号类型' })
  account_type: string;
}
