import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { CommonProblem } from '../entity/commonProblem.entity';
type modelType = ReturnModelType<typeof CommonProblem>;
@Provide()
export class CommonProblemService extends BaseService<modelType> {
  @InjectEntityModel(CommonProblem)
  model: modelType;
}
