import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'commonProblem' },
})
export class CommonProblem extends BaseModel {
  @prop({ "required": false, "index": true, "zh": "维护人" })
  user_id: string
  @prop({ "required": false, "index": true, "zh": "维护人姓名" })
  user_name: string
  @prop({ "required": false, "index": true, "zh": "模块" })
  model: string
  @prop({ "required": false, "index": true, "zh": "排序" })
  sort: number
  @prop({ "required": false, "index": true, "zh": "是否启用", "default": "0" })
  is_use: string
  @prop({ "required": false, "index": false, "zh": "问题管理" })
  problem: Array<any>
}
