import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'dictType' },
})
export class DictType extends BaseModel {
  @prop({ required: false, index: true, zh: '字典索引名' })
  dict_name: string;
  @prop({ required: false, index: true, zh: '字典类型' })
  dict_type: string;
  @prop({ required: false, index: true, zh: '状态', remark: '0:正常;1:使用', default: '0' })
  status: string;
  @prop({ required: false, index: false, zh: '备注' })
  remark: string;
}
