import { Autoload, Init, Inject, Scope, ScopeEnum } from '@midwayjs/decorator';
import { AdminService } from './admin.service';

@Autoload()
@Scope(ScopeEnum.Request, { allowDowngrade: true })
export class RedisErrorListener {
  @Inject()
  adminService: AdminService;

  @Init()
  async init() {
    await this.adminService.initSuper();
  }
}
